%define	name	crystalspace
%define	version	0.97
%define	release	0.cvs20030507.2mdk
%define	csroot	%{_libdir}/%{name}

Summary:	CrystalSpace free 3d engine
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPL
Source:		cs-2003-05-07.083701.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://crystal.sourceforge.net
BuildRequires:	lib3ds-devel libMesaGLU-devel libogg-devel libmikmod-devel libcal3d-devel
BuildRequires:	libjpeg-devel zlib-devel libode-devel libpng-devel libopenal-devel >= 0.0.6-5mdk
BuildRequires:	libode-devel libmng-devel libarts-devel XFree86-devel nasm perl-devel
BuildRequires:	swig >= 1.3.14 bison >= 1.35 python-devel

%description
Crystal Space is a free (LGPL) and portable 3D Development Kit
written in C++. It supports: true six degree's of freedom,
colored lighting, mipmapping, portals, mirrors, alpha transparency,
reflective surfaces, 3D sprites (frame based or with skeletal animation),
procedural textures, radiosity, particle systems, halos, volumetric fog,
scripting (using Python or other languages), 8-bit, 16-bit, and 32-bit
display support, OpenGL and software renderering, font support,
hierarchical transformations, etc.

%package	devel
Group:		Development/C
Summary:	Development headers and libraries for %{name}
Requires:	%{name}

%description	devel
Development headers and libraries for %{name}

%package	doc
Summary:	Crystalspace documentation
Group:		Development/C
License:	LGPL
Requires:	%{name} = %{version}

%description	doc
Crystalspace documentation

%package	demos
Summary:	Crystalspace demos
Group:		Toys
License:	LGPL
Requires:	%{name} = %{version}

%description	demos
Crystalspace demos.

%prep
%setup -q -n CS

%build
%configure2_5x	--with-mesa \
		--with-x \
		--disable-cpu-specific-instructions \
		--enable-linux-joystick \
		--enable-optimize \
		--disable-debug \
		--with-pic \
		--with-gnu-ld \
		--enable-mode=optimize \
		--enable-plugins
%make INSTALL_DIR=%{csroot} all CFLAGS.SYSTEM="$RPM_OPT_FLAGS -fPIC -Wno-unknown-pragmas"
%{__cp} -f mk/autoconf/crystal.m4 scripts/cs-config/

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALL_DIR=$RPM_BUILD_ROOT%{csroot}

%{__install} -d $RPM_BUILD_ROOT{%{_datadir}/aclocal,%{_sysconfdir}/profile.d}
%{__mv} $RPM_BUILD_ROOT%{csroot}/crystal.m4 $RPM_BUILD_ROOT%{_datadir}/aclocal
%{__rm} -f $RPM_BUILD_ROOT%{csroot}/{install.log,uninst}
%{__mv} $RPM_BUILD_ROOT%{csroot}/bin $RPM_BUILD_ROOT%{_prefix}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.sh
#!/bin/sh
if [ -n "\CRYSTAL" ]; then
   export CRYSTAL="%{csroot}"
fi
EOF

%{__cat} <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/%{name}.csh
if ( \${?CRYSTAL} ) then
   exit
endif

setenv CRYSTAL %{csroot}
EOF

#(peroyvind) place a symlink to /usr/bin to have %{csroot}/bin to fix scripts that looks in %{csroot}/bin
ln -s ../../bin $RPM_BUILD_ROOT%{csroot}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{csroot}
%{csroot}/*.cfg
%dir %{csroot}/lib
%dir %{csroot}/data
%{csroot}/data/awsdef.zip
%{csroot}/data/csws.zip
%{csroot}/data/fancycon.zip
%{csroot}/data/standard.zip
%{csroot}/data/stdtex.zip
%{csroot}/data/flarge
%{csroot}/data/isomap
%{csroot}/data/partsys
%{csroot}/bin
%dir %{csroot}/data/config
%defattr(755,root,root,755)
%{csroot}/lib/*.so
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.*sh

%files devel
%defattr(644,root,root,755)
%{csroot}/lib/*.a
%{csroot}/include
%{_bindir}/python.cex
%{_datadir}/aclocal/crystal.m4
%defattr(755,root,root,755)
%{csroot}/scripts
%{_bindir}/cs-config

%files doc
%defattr(644,root,root,755)
%doc %{csroot}/docs

%files demos
%defattr(755,root,root,755)
%{_bindir}/*[!g,!x]
%{_bindir}/scfreg
%defattr(644,root,root,755)
%{csroot}/data/blocks.zip
%{csroot}/data/config/*.cfg

%changelog
* Wed May 07 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.97-0.cvs20030507.2mdk
- fix problems with scripts that looks in %{csroot}/bin by making a symlink to /usr/bin

* Wed May 07 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.97-0.cvs20030507.1mdk
- initial mdk release, mind the ugly packaging..
